summaryrefslogtreecommitdiff
path: root/tests/cross_plat.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cross_plat.sh')
-rwxr-xr-xtests/cross_plat.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/cross_plat.sh b/tests/cross_plat.sh
index 1228bd7..b29163e 100755
--- a/tests/cross_plat.sh
+++ b/tests/cross_plat.sh
@@ -84,11 +84,17 @@ diff patch1.tbd patch1prime.tbd
if [ $? -eq 0 ]; then
echo -n "Patch 1: "
echo OK
+else
+ cleanup
+ exit 1
fi
diff patch2.tbd patch2prime.tbd
if [ $? -eq 0 ]; then
echo -n "Patch 2: "
echo OK
+else
+ cleanup
+ exit 1
fi
checkmeta